using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using InstrumentDrivers;

namespace RSSMU_3GPP_Example
{
    public partial class RSSMU_3GPP_Example : Form
    {
        private rssmu m_Instrument = null;

        public RSSMU_3GPP_Example()
        {
            InitializeComponent();
        }

        private void RSSMU_3GPP_Example_Load(object sender, EventArgs e)
        {
            TestModel.SelectedIndex = 0;
        }

        private void ExitButton_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Are you sure you want to exit?", "Exit?", MessageBoxButtons.YesNo) == DialogResult.Yes)
                Close();
        }

        private void Apply_Click(object sender, EventArgs e)
        {
            int path = 1;
            try
            {
                UseWaitCursor = true;
                System.Windows.Forms.Cursor.Current = Cursors.WaitCursor;
                if (m_Instrument==null)
                    m_Instrument = new rssmu(ResourceDescriptor.Text, IDQuery.Checked, ResetDevice.Checked);
                m_Instrument.EventStatusEnable(1);
                m_Instrument.ClearStatus();
                m_Instrument.SetW3GPPTestModelBS(path, TestModel.SelectedIndex);
                m_Instrument.SetW3GPPSequenceLengthARB(path, int.Parse(SequenceLength.Text));
                m_Instrument.SetW3GPPFDDState(1, WCDMAState.Checked);
                m_Instrument.OperationComplete();
                int sync = 0;
                do
                {
                    m_Instrument.StatusByteQuery(out sync);
                    System.Threading.Thread.Sleep(100);
                } while (sync == 0);


                m_Instrument.SetRFAmplitude(path, Decimal.ToDouble(RFLevel.Value));
                m_Instrument.SetRFFrequency(path, Decimal.ToDouble(RFFreq.Value));
                m_Instrument.SetOutputState(path, RFState.Checked);
            }
            catch (Exception ex)
            {
                String message;

                message = "Instrument Status Error: ";
                message += ex.Message;
                MessageBox.Show(message);
            }
            System.Windows.Forms.Cursor.Current = Cursors.Arrow;
            UseWaitCursor = false;
        }

     }
}